Рекомендация Debian по безопасности

DSA-1708-1 git-core -- инъекция команд командной оболочки

Дата сообщения:
19.01.2009
Затронутые пакеты:
git-core
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 512330.
В каталоге Mitre CVE: CVE-2008-5516, CVE-2008-5517, CVE-2008-5916.
Более подробная информация:

Было обнаружено, что gitweb, веб-интерфейс для системы управления версиями Git, содержит несколько уязвимостей:

Удалённые злоумышленники могут использовать специально сформированные запросы для выполнения команд командной оболочки на веб-сервере, используя функциональность порождения срезов и pickaxe-поиска (CVE-2008-5916).

Локальные пользователи, имеющие права на запись в файл настроек репозитория Git, обслуживаемого gitweb, могут заставить gitweb выполнить произвольные команды командной оболочки с правами веб-сервера (CVE-2008-5516, CVE-2008-5517).

В стабильном выпуске (etch) эти проблемы были исправлены в версии 1.4.4.4-4+etch1.

В нестабильном (sid) и тестируемом (lenny) выпуска проблема с удалённым введением команд командной оболочки (CVE-2008-5516) была исправлена в версии 1.5.6-1. Другая проблема будет исправлена позже.

Рекомендуется обновить пакеты Git.

Исправлено в:

Debian GNU/Linux 4.0 (etch)

Исходный код:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4.orig.tar.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1.diff.gz
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1.dsc
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/g/git-core/gitweb_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-daemon-run_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-svn_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/gitk_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-doc_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-email_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-arch_1.4.4.4-4+etch1_all.deb
http://security.debian.org/pool/updates/main/g/git-core/git-cvs_1.4.4.4-4+etch1_all.deb
Alpha:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/git-core/git-core_1.4.4.4-4+etch1_sparc.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.